<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: /workplace/avs-device-sdk/ACL/include/ACL/Transport/PostConnectSynchronizer.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.13.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_b1dfedc9efa610ba8c818c30206ff41f.html">ACL</a></li><li class="navelem"><a class="el" href="dir_1088b026815130b3cc8e9ac3f4525272.html">include</a></li><li class="navelem"><a class="el" href="dir_ce0d3eda4bb43bdcf8c1c51ff13ee585.html">ACL</a></li><li class="navelem"><a class="el" href="dir_711bc606e725cfd07f3f2b0a5f6ebc00.html">Transport</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">PostConnectSynchronizer.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="_post_connect_synchronizer_8h.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">/*</span></div><div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="comment"> * Copyright 2017-2018 Amazon.com, Inc. or its affiliates. All Rights Reserved.</span></div><div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="comment"> * Licensed under the Apache License, Version 2.0 (the &quot;License&quot;).</span></div><div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;<span class="comment"> * You may not use this file except in compliance with the License.</span></div><div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="comment"> * A copy of the License is located at</span></div><div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;<span class="comment"> *     http://aws.amazon.com/apache2.0/</span></div><div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;<span class="comment"> * or in the &quot;license&quot; file accompanying this file. This file is distributed</span></div><div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;<span class="comment"> * on an &quot;AS IS&quot; BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either</span></div><div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;<span class="comment"> * express or implied. See the License for the specific language governing</span></div><div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;<span class="comment"> * permissions and limitations under the License.</span></div><div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;<span class="comment"> */</span></div><div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;</div><div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;<span class="preprocessor">#ifndef ALEXA_CLIENT_SDK_ACL_INCLUDE_ACL_TRANSPORT_POSTCONNECTSYNCHRONIZER_H_</span></div><div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;<span class="preprocessor">#define ALEXA_CLIENT_SDK_ACL_INCLUDE_ACL_TRANSPORT_POSTCONNECTSYNCHRONIZER_H_</span></div><div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;</div><div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;<span class="preprocessor">#include &lt;condition_variable&gt;</span></div><div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;<span class="preprocessor">#include &lt;memory&gt;</span></div><div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;<span class="preprocessor">#include &lt;mutex&gt;</span></div><div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;<span class="preprocessor">#include &lt;thread&gt;</span></div><div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;</div><div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;<span class="preprocessor">#include &lt;<a class="code" href="_context_manager_interface_8h.html">AVSCommon/SDKInterfaces/ContextManagerInterface.h</a>&gt;</span></div><div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;<span class="preprocessor">#include &lt;<a class="code" href="_context_requester_interface_8h.html">AVSCommon/SDKInterfaces/ContextRequesterInterface.h</a>&gt;</span></div><div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;<span class="preprocessor">#include &lt;<a class="code" href="_message_request_observer_interface_8h.html">AVSCommon/SDKInterfaces/MessageRequestObserverInterface.h</a>&gt;</span></div><div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;<span class="preprocessor">#include &lt;<a class="code" href="_requires_shutdown_8h.html">AVSCommon/Utils/RequiresShutdown.h</a>&gt;</span></div><div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;</div><div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_post_connect_interface_8h.html">ACL/Transport/PostConnectInterface.h</a>&quot;</span></div><div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_post_connect_send_message_interface_8h.html">ACL/Transport/PostConnectSendMessageInterface.h</a>&quot;</span></div><div class="line"><a name="l00031"></a><span class="lineno">   31</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_transport_observer_interface_8h.html">ACL/Transport/TransportObserverInterface.h</a>&quot;</span></div><div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160;</div><div class="line"><a name="l00033"></a><span class="lineno">   33</span>&#160;<span class="keyword">namespace </span><a class="code" href="namespacealexa_client_s_d_k.html">alexaClientSDK</a> {</div><div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160;<span class="keyword">namespace </span>acl {</div><div class="line"><a name="l00035"></a><span class="lineno">   35</span>&#160;</div><div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160;<span class="keyword">class </span>HTTP2Transport;</div><div class="line"><a name="l00037"></a><span class="lineno">   37</span>&#160;</div><div class="line"><a name="l00041"></a><span class="lineno"><a class="line" href="classalexa_client_s_d_k_1_1acl_1_1_post_connect_synchronizer.html">   41</a></span>&#160;<span class="keyword">class </span><a class="code" href="classalexa_client_s_d_k_1_1acl_1_1_post_connect_synchronizer.html">PostConnectSynchronizer</a></div><div class="line"><a name="l00042"></a><span class="lineno">   42</span>&#160;        : <span class="keyword">public</span> <a class="code" href="classalexa_client_s_d_k_1_1acl_1_1_post_connect_interface.html">PostConnectInterface</a></div><div class="line"><a name="l00043"></a><span class="lineno">   43</span>&#160;        , <span class="keyword">public</span> <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_context_requester_interface.html">avsCommon::sdkInterfaces::ContextRequesterInterface</a></div><div class="line"><a name="l00044"></a><span class="lineno">   44</span>&#160;        , <span class="keyword">public</span> <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_message_request_observer_interface.html">avsCommon::sdkInterfaces::MessageRequestObserverInterface</a></div><div class="line"><a name="l00045"></a><span class="lineno">   45</span>&#160;        , <span class="keyword">public</span> std::enable_shared_from_this&lt;PostConnectSynchronizer&gt; {</div><div class="line"><a name="l00046"></a><span class="lineno">   46</span>&#160;<span class="keyword">public</span>:</div><div class="line"><a name="l00053"></a><span class="lineno">   53</span>&#160;    <span class="keyword">static</span> std::shared_ptr&lt;PostConnectSynchronizer&gt; <a class="code" href="classalexa_client_s_d_k_1_1acl_1_1_post_connect_synchronizer.html#a9d489e373133ee3e1f8ac387f31ddeed">create</a>(</div><div class="line"><a name="l00054"></a><span class="lineno">   54</span>&#160;        std::shared_ptr&lt;avsCommon::sdkInterfaces::ContextManagerInterface&gt; contextManager);</div><div class="line"><a name="l00055"></a><span class="lineno">   55</span>&#160;</div><div class="line"><a name="l00056"></a><span class="lineno">   56</span>&#160;    <a class="code" href="classalexa_client_s_d_k_1_1acl_1_1_post_connect_synchronizer.html#a733bc71fa32ddeb32b207b5ec8f2bfdf">~PostConnectSynchronizer</a>();</div><div class="line"><a name="l00057"></a><span class="lineno">   57</span>&#160;</div><div class="line"><a name="l00060"></a><span class="lineno">   60</span>&#160;    <span class="keywordtype">bool</span> <a class="code" href="classalexa_client_s_d_k_1_1acl_1_1_post_connect_synchronizer.html#ae013f7dc70c1413fdab6308710367b86">doPostConnect</a>(std::shared_ptr&lt;HTTP2Transport&gt; transport) <span class="keyword">override</span>;</div><div class="line"><a name="l00061"></a><span class="lineno">   61</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="classalexa_client_s_d_k_1_1acl_1_1_post_connect_synchronizer.html#a4edb0adacc7abdc70c9fe65dfa50f724">onDisconnect</a>() <span class="keyword">override</span>;</div><div class="line"><a name="l00063"></a><span class="lineno">   63</span>&#160;</div><div class="line"><a name="l00066"></a><span class="lineno">   66</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="classalexa_client_s_d_k_1_1acl_1_1_post_connect_synchronizer.html#af79e6b790e7b8ea938a92a3502921db0">onContextAvailable</a>(<span class="keyword">const</span> std::string&amp; jsonContext) <span class="keyword">override</span>;</div><div class="line"><a name="l00067"></a><span class="lineno">   67</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="classalexa_client_s_d_k_1_1acl_1_1_post_connect_synchronizer.html#aee1b113394033b8ccee6195fa23ff8ee">onContextFailure</a>(<span class="keyword">const</span> <a class="code" href="namespacealexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces.html#a8ec2f2403294717c740bfacf5c62d018">avsCommon::sdkInterfaces::ContextRequestError</a> error) <span class="keyword">override</span>;</div><div class="line"><a name="l00069"></a><span class="lineno">   69</span>&#160;</div><div class="line"><a name="l00072"></a><span class="lineno">   72</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="classalexa_client_s_d_k_1_1acl_1_1_post_connect_synchronizer.html#ac5c4fc5fef1bcccfad0951666170f465">onSendCompleted</a>(<a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_message_request_observer_interface.html#a29e40517f71dfc83e3159a8f0f489d7b">MessageRequestObserverInterface::Status</a> status) <span class="keyword">override</span>;</div><div class="line"><a name="l00073"></a><span class="lineno">   73</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="classalexa_client_s_d_k_1_1acl_1_1_post_connect_synchronizer.html#a3851c949bdaeb04fc495fb0d65db69ed">onExceptionReceived</a>(<span class="keyword">const</span> std::string&amp; exceptionMessage) <span class="keyword">override</span>;</div><div class="line"><a name="l00075"></a><span class="lineno">   75</span>&#160;</div><div class="line"><a name="l00076"></a><span class="lineno">   76</span>&#160;<span class="keyword">private</span>:</div><div class="line"><a name="l00080"></a><span class="lineno">   80</span>&#160;    <span class="keyword">enum class</span> State {</div><div class="line"><a name="l00082"></a><span class="lineno">   82</span>&#160;        <a class="code" href="namespacealexa_client_s_d_k_1_1avs_common_1_1avs.html#af150b2d10515e0e7347e09a69986a47baa5daf7f2ebbba4975d61dab1c40188c7">IDLE</a>,</div><div class="line"><a name="l00083"></a><span class="lineno">   83</span>&#160;</div><div class="line"><a name="l00085"></a><span class="lineno">   85</span>&#160;        RUNNING,</div><div class="line"><a name="l00086"></a><span class="lineno">   86</span>&#160;</div><div class="line"><a name="l00088"></a><span class="lineno">   88</span>&#160;        FETCHING,</div><div class="line"><a name="l00089"></a><span class="lineno">   89</span>&#160;</div><div class="line"><a name="l00091"></a><span class="lineno">   91</span>&#160;        SENDING,</div><div class="line"><a name="l00092"></a><span class="lineno">   92</span>&#160;</div><div class="line"><a name="l00094"></a><span class="lineno">   94</span>&#160;        STOPPING,</div><div class="line"><a name="l00095"></a><span class="lineno">   95</span>&#160;</div><div class="line"><a name="l00097"></a><span class="lineno">   97</span>&#160;        <a class="code" href="namespacealexa_client_s_d_k_1_1avs_common_1_1avs.html#af150b2d10515e0e7347e09a69986a47ba09d4d696b4e935115b9313e3c412509a">STOPPED</a></div><div class="line"><a name="l00098"></a><span class="lineno">   98</span>&#160;    };</div><div class="line"><a name="l00099"></a><span class="lineno">   99</span>&#160;</div><div class="line"><a name="l00101"></a><span class="lineno">  101</span>&#160;    <span class="keyword">friend</span> std::ostream&amp; <a class="code" href="classalexa_client_s_d_k_1_1acl_1_1_post_connect_synchronizer.html#aee60dfc13f0d0163a600d788a524a725">operator&lt;&lt;</a>(std::ostream&amp; stream, State state);</div><div class="line"><a name="l00102"></a><span class="lineno">  102</span>&#160;</div><div class="line"><a name="l00108"></a><span class="lineno">  108</span>&#160;    <a class="code" href="classalexa_client_s_d_k_1_1acl_1_1_post_connect_synchronizer.html">PostConnectSynchronizer</a>(std::shared_ptr&lt;avsCommon::sdkInterfaces::ContextManagerInterface&gt; contextManager);</div><div class="line"><a name="l00109"></a><span class="lineno">  109</span>&#160;</div><div class="line"><a name="l00116"></a><span class="lineno">  116</span>&#160;    <span class="keywordtype">bool</span> setState(State state);</div><div class="line"><a name="l00117"></a><span class="lineno">  117</span>&#160;</div><div class="line"><a name="l00125"></a><span class="lineno">  125</span>&#160;    <span class="keywordtype">bool</span> setStateLocked(State state);</div><div class="line"><a name="l00126"></a><span class="lineno">  126</span>&#160;</div><div class="line"><a name="l00130"></a><span class="lineno">  130</span>&#160;    <span class="keywordtype">void</span> mainLoop();</div><div class="line"><a name="l00131"></a><span class="lineno">  131</span>&#160;</div><div class="line"><a name="l00137"></a><span class="lineno">  137</span>&#160;    <span class="keywordtype">bool</span> stop();</div><div class="line"><a name="l00138"></a><span class="lineno">  138</span>&#160;</div><div class="line"><a name="l00144"></a><span class="lineno">  144</span>&#160;    std::shared_ptr&lt;HTTP2Transport&gt; getTransport();</div><div class="line"><a name="l00145"></a><span class="lineno">  145</span>&#160;</div><div class="line"><a name="l00151"></a><span class="lineno">  151</span>&#160;    <span class="keywordtype">void</span> setTransport(std::shared_ptr&lt;HTTP2Transport&gt; transport);</div><div class="line"><a name="l00152"></a><span class="lineno">  152</span>&#160;</div><div class="line"><a name="l00154"></a><span class="lineno">  154</span>&#160;    std::mutex m_mutex;</div><div class="line"><a name="l00155"></a><span class="lineno">  155</span>&#160;</div><div class="line"><a name="l00157"></a><span class="lineno">  157</span>&#160;    State m_state;</div><div class="line"><a name="l00158"></a><span class="lineno">  158</span>&#160;</div><div class="line"><a name="l00160"></a><span class="lineno">  160</span>&#160;    std::condition_variable m_wakeTrigger;</div><div class="line"><a name="l00161"></a><span class="lineno">  161</span>&#160;</div><div class="line"><a name="l00163"></a><span class="lineno">  163</span>&#160;    std::shared_ptr&lt;HTTP2Transport&gt; m_transport;</div><div class="line"><a name="l00164"></a><span class="lineno">  164</span>&#160;</div><div class="line"><a name="l00166"></a><span class="lineno">  166</span>&#160;    std::shared_ptr&lt;avsCommon::sdkInterfaces::ContextManagerInterface&gt; m_contextManager;</div><div class="line"><a name="l00167"></a><span class="lineno">  167</span>&#160;</div><div class="line"><a name="l00169"></a><span class="lineno">  169</span>&#160;    std::thread m_mainLoopThread;</div><div class="line"><a name="l00170"></a><span class="lineno">  170</span>&#160;};</div><div class="line"><a name="l00171"></a><span class="lineno">  171</span>&#160;</div><div class="line"><a name="l00172"></a><span class="lineno">  172</span>&#160;}  <span class="comment">// namespace acl</span></div><div class="line"><a name="l00173"></a><span class="lineno">  173</span>&#160;}  <span class="comment">// namespace alexaClientSDK</span></div><div class="line"><a name="l00174"></a><span class="lineno">  174</span>&#160;</div><div class="line"><a name="l00175"></a><span class="lineno">  175</span>&#160;<span class="preprocessor">#endif  // ALEXA_CLIENT_SDK_ACL_INCLUDE_ACL_TRANSPORT_POSTCONNECTSYNCHRONIZER_H_</span></div><div class="ttc" id="classalexa_client_s_d_k_1_1acl_1_1_post_connect_synchronizer_html_a733bc71fa32ddeb32b207b5ec8f2bfdf"><div class="ttname"><a href="classalexa_client_s_d_k_1_1acl_1_1_post_connect_synchronizer.html#a733bc71fa32ddeb32b207b5ec8f2bfdf">alexaClientSDK::acl::PostConnectSynchronizer::~PostConnectSynchronizer</a></div><div class="ttdeci">~PostConnectSynchronizer()</div><div class="ttdef"><b>Definition:</b> PostConnectSynchronizer.cpp:60</div></div>
<div class="ttc" id="_transport_observer_interface_8h_html"><div class="ttname"><a href="_transport_observer_interface_8h.html">TransportObserverInterface.h</a></div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1acl_1_1_post_connect_synchronizer_html_ac5c4fc5fef1bcccfad0951666170f465"><div class="ttname"><a href="classalexa_client_s_d_k_1_1acl_1_1_post_connect_synchronizer.html#ac5c4fc5fef1bcccfad0951666170f465">alexaClientSDK::acl::PostConnectSynchronizer::onSendCompleted</a></div><div class="ttdeci">void onSendCompleted(MessageRequestObserverInterface::Status status) override</div><div class="ttdef"><b>Definition:</b> PostConnectSynchronizer.cpp:125</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1acl_1_1_post_connect_synchronizer_html_a4edb0adacc7abdc70c9fe65dfa50f724"><div class="ttname"><a href="classalexa_client_s_d_k_1_1acl_1_1_post_connect_synchronizer.html#a4edb0adacc7abdc70c9fe65dfa50f724">alexaClientSDK::acl::PostConnectSynchronizer::onDisconnect</a></div><div class="ttdeci">void onDisconnect() override</div><div class="ttdef"><b>Definition:</b> PostConnectSynchronizer.cpp:92</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1acl_1_1_post_connect_interface_html"><div class="ttname"><a href="classalexa_client_s_d_k_1_1acl_1_1_post_connect_interface.html">alexaClientSDK::acl::PostConnectInterface</a></div><div class="ttdef"><b>Definition:</b> PostConnectInterface.h:32</div></div>
<div class="ttc" id="_requires_shutdown_8h_html"><div class="ttname"><a href="_requires_shutdown_8h.html">RequiresShutdown.h</a></div></div>
<div class="ttc" id="namespacealexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_html_a8ec2f2403294717c740bfacf5c62d018"><div class="ttname"><a href="namespacealexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces.html#a8ec2f2403294717c740bfacf5c62d018">alexaClientSDK::avsCommon::sdkInterfaces::ContextRequestError</a></div><div class="ttdeci">ContextRequestError</div><div class="ttdef"><b>Definition:</b> ContextRequesterInterface.h:32</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1acl_1_1_post_connect_synchronizer_html_aee60dfc13f0d0163a600d788a524a725"><div class="ttname"><a href="classalexa_client_s_d_k_1_1acl_1_1_post_connect_synchronizer.html#aee60dfc13f0d0163a600d788a524a725">alexaClientSDK::acl::PostConnectSynchronizer::operator&lt;&lt;</a></div><div class="ttdeci">friend std::ostream &amp; operator&lt;&lt;(std::ostream &amp;stream, State state)</div><div class="ttdoc">Friend to allow access to enum class State. </div><div class="ttdef"><b>Definition:</b> PostConnectSynchronizer.cpp:263</div></div>
<div class="ttc" id="_message_request_observer_interface_8h_html"><div class="ttname"><a href="_message_request_observer_interface_8h.html">MessageRequestObserverInterface.h</a></div></div>
<div class="ttc" id="namespacealexa_client_s_d_k_1_1avs_common_1_1avs_html_af150b2d10515e0e7347e09a69986a47baa5daf7f2ebbba4975d61dab1c40188c7"><div class="ttname"><a href="namespacealexa_client_s_d_k_1_1avs_common_1_1avs.html#af150b2d10515e0e7347e09a69986a47baa5daf7f2ebbba4975d61dab1c40188c7">alexaClientSDK::avsCommon::avs::PlayerActivity::IDLE</a></div><div class="ttdoc">Initial state, prior to acting on the first Play directive. </div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1acl_1_1_post_connect_synchronizer_html_af79e6b790e7b8ea938a92a3502921db0"><div class="ttname"><a href="classalexa_client_s_d_k_1_1acl_1_1_post_connect_synchronizer.html#af79e6b790e7b8ea938a92a3502921db0">alexaClientSDK::acl::PostConnectSynchronizer::onContextAvailable</a></div><div class="ttdeci">void onContextAvailable(const std::string &amp;jsonContext) override</div><div class="ttdef"><b>Definition:</b> PostConnectSynchronizer.cpp:97</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_message_request_observer_interface_html"><div class="ttname"><a href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_message_request_observer_interface.html">alexaClientSDK::avsCommon::sdkInterfaces::MessageRequestObserverInterface</a></div><div class="ttdef"><b>Definition:</b> MessageRequestObserverInterface.h:28</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1acl_1_1_post_connect_synchronizer_html"><div class="ttname"><a href="classalexa_client_s_d_k_1_1acl_1_1_post_connect_synchronizer.html">alexaClientSDK::acl::PostConnectSynchronizer</a></div><div class="ttdef"><b>Definition:</b> PostConnectSynchronizer.h:41</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_context_requester_interface_html"><div class="ttname"><a href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_context_requester_interface.html">alexaClientSDK::avsCommon::sdkInterfaces::ContextRequesterInterface</a></div><div class="ttdef"><b>Definition:</b> ContextRequesterInterface.h:43</div></div>
<div class="ttc" id="_context_manager_interface_8h_html"><div class="ttname"><a href="_context_manager_interface_8h.html">ContextManagerInterface.h</a></div></div>
<div class="ttc" id="namespacealexa_client_s_d_k_1_1avs_common_1_1avs_html_af150b2d10515e0e7347e09a69986a47ba09d4d696b4e935115b9313e3c412509a"><div class="ttname"><a href="namespacealexa_client_s_d_k_1_1avs_common_1_1avs.html#af150b2d10515e0e7347e09a69986a47ba09d4d696b4e935115b9313e3c412509a">alexaClientSDK::avsCommon::avs::PlayerActivity::STOPPED</a></div></div>
<div class="ttc" id="_post_connect_interface_8h_html"><div class="ttname"><a href="_post_connect_interface_8h.html">PostConnectInterface.h</a></div></div>
<div class="ttc" id="namespacealexa_client_s_d_k_html"><div class="ttname"><a href="namespacealexa_client_s_d_k.html">alexaClientSDK</a></div><div class="ttdoc">Whether or not curl logs should be emitted. </div><div class="ttdef"><b>Definition:</b> AVSConnectionManager.h:37</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_message_request_observer_interface_html_a29e40517f71dfc83e3159a8f0f489d7b"><div class="ttname"><a href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_message_request_observer_interface.html#a29e40517f71dfc83e3159a8f0f489d7b">alexaClientSDK::avsCommon::sdkInterfaces::MessageRequestObserverInterface::Status</a></div><div class="ttdeci">Status</div><div class="ttdef"><b>Definition:</b> MessageRequestObserverInterface.h:33</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1acl_1_1_post_connect_synchronizer_html_a3851c949bdaeb04fc495fb0d65db69ed"><div class="ttname"><a href="classalexa_client_s_d_k_1_1acl_1_1_post_connect_synchronizer.html#a3851c949bdaeb04fc495fb0d65db69ed">alexaClientSDK::acl::PostConnectSynchronizer::onExceptionReceived</a></div><div class="ttdeci">void onExceptionReceived(const std::string &amp;exceptionMessage) override</div><div class="ttdef"><b>Definition:</b> PostConnectSynchronizer.cpp:147</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1acl_1_1_post_connect_synchronizer_html_a9d489e373133ee3e1f8ac387f31ddeed"><div class="ttname"><a href="classalexa_client_s_d_k_1_1acl_1_1_post_connect_synchronizer.html#a9d489e373133ee3e1f8ac387f31ddeed">alexaClientSDK::acl::PostConnectSynchronizer::create</a></div><div class="ttdeci">static std::shared_ptr&lt; PostConnectSynchronizer &gt; create(std::shared_ptr&lt; avsCommon::sdkInterfaces::ContextManagerInterface &gt; contextManager)</div><div class="ttdef"><b>Definition:</b> PostConnectSynchronizer.cpp:50</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1acl_1_1_post_connect_synchronizer_html_aee1b113394033b8ccee6195fa23ff8ee"><div class="ttname"><a href="classalexa_client_s_d_k_1_1acl_1_1_post_connect_synchronizer.html#aee1b113394033b8ccee6195fa23ff8ee">alexaClientSDK::acl::PostConnectSynchronizer::onContextFailure</a></div><div class="ttdeci">void onContextFailure(const avsCommon::sdkInterfaces::ContextRequestError error) override</div><div class="ttdef"><b>Definition:</b> PostConnectSynchronizer.cpp:116</div></div>
<div class="ttc" id="_context_requester_interface_8h_html"><div class="ttname"><a href="_context_requester_interface_8h.html">ContextRequesterInterface.h</a></div></div>
<div class="ttc" id="_post_connect_send_message_interface_8h_html"><div class="ttname"><a href="_post_connect_send_message_interface_8h.html">PostConnectSendMessageInterface.h</a></div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1acl_1_1_post_connect_synchronizer_html_ae013f7dc70c1413fdab6308710367b86"><div class="ttname"><a href="classalexa_client_s_d_k_1_1acl_1_1_post_connect_synchronizer.html#ae013f7dc70c1413fdab6308710367b86">alexaClientSDK::acl::PostConnectSynchronizer::doPostConnect</a></div><div class="ttdeci">bool doPostConnect(std::shared_ptr&lt; HTTP2Transport &gt; transport) override</div><div class="ttdef"><b>Definition:</b> PostConnectSynchronizer.cpp:65</div></div>
</div><!-- fragment --></div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.13.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
